/*******************   N O T I C E   *******************
*                                                      *
*  This C source contains the Z80 assembler code.      *
*   And, it is only for HI-TECH C COMPILER (CP/M-80).  *
*                                                      *
*  When you use time() instead of Z80 code,            *
*                           please define "USE_TIME".  *
*                                                      *
*******************************************************/

#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <math.h>
#if defined(USE_TIME)
#include <time.h>
#endif

#include "define.h"
#include "buffer.h"

/* Seed the randomizer with the timer */
void
/* randomize(void) */
randomize2(void)
{
#if defined(USE_TIME)
  time_t timer;

  srand ((unsigned) time (&timer));
#else
#asm
global  _srand

  ld    a, r
  ld    h, a
  ld    l, 0
  push  hl
  call  _srand
#endasm
#endif
}

/* Returns an integer from 1 to iSpread */
int
get_rand(int iSpread)
{
  return((rand() % iSpread) + 1);
}

double
rnd(void)
{
  double d;

  d = rand() / (double) RAND_MAX;

  return(d);
}
